POST
/#X-Amz-Target=IotThingsGraphFrontEndService.GetSystemTemplateRevisions
http://iotthingsgraph.{region}.amazonaws.com/#X-Amz-Target=IotThingsGraphFrontEndService.GetSystemTemplateRevisionsGets revisions made to the specified system template. Only the previous 100 revisions are stored. If the system has been deprecated, this action will return the revisions that occurred before its deprecation. This action won't work with systems that have been deleted.
Access Token Required: API Key
Query Params
maxResultsstring
Pagination limit
nextTokenstring
Pagination token
Responses
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}Language
CredentialsAPI KEY
API Key
Enter token below to save for later
cURL Request
1curl --request POST \2 --url 'http://iotthingsgraph.{region}.amazonaws.com/#X-Amz-Target=IotThingsGraphFrontEndService.GetSystemTemplateRevisions' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'Response
1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}